Bug 190700 - Kernel hang and OOM kills on 16GB idle em64t system
Kernel hang and OOM kills on 16GB idle em64t system
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
ia32e Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-04 11:44 EDT by Jeff Needle
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 14:27:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages with sysrq-m data (hang started at May 4 07:13:40) (64.30 KB, application/x-bzip2)
2006-05-04 11:44 EDT, Jeff Needle
no flags Details
sysreport (531.63 KB, application/x-bzip2)
2006-05-04 11:45 EDT, Jeff Needle
no flags Details

  None (edit)
Description Jeff Needle 2006-05-04 11:44:03 EDT
Description of problem:

Several times in the past week, I've come in to find a hung system.  Today, it
was slightly responsive, spewing OOM kills and sysrq-m info when I attempted to
log in.  I poked it with a stick for a while, but it was too unresponsive to
give any additional data.  I'm attaching the messages file in case there's
anything useful to be gleaned.

Version-Release number of selected component (if applicable):

Happened at least with:
kernel-2.6.16-1.2159_FC6
kernel-2.6.16-1.2185_FC6


How reproducible:
Happening randomly on an idle system, always upon returning in the morning.  No
real clue what overnight activity is hosing it.


Steps to Reproduce:

Here's what I do.

1. Rawhide update
2. Reboot system
3. Look at pretty output
4. Ignore system for rest of day
5. Go home
6. Sleep
7. Wake up
8. Shower
9. Drive to work (note: this morning I stopped for coffee, but I don't think
this step is explicitly required)
  
Actual results:
console is full of sysrq-m info and OOM kills, system not responsive enough to
allow successful login.

Expected results:
Well, with a 3Ghz dual-core processor and 16GB of memory, I'd expect it to at
least handle being idle overnight.

Additional info:
Attached are compressed messages and a sysreport.
Comment 1 Jeff Needle 2006-05-04 11:44:03 EDT
Created attachment 128607 [details]
/var/log/messages with sysrq-m data (hang started at May  4 07:13:40)
Comment 2 Jeff Needle 2006-05-04 11:45:39 EDT
Created attachment 128609 [details]
sysreport
Comment 3 Larry Woodman 2006-09-25 14:18:46 EDT
This looks like normal behavior to me, the system used up all of the memory in
anonymous regions and used up all the swap space so it couldnt reclaim anything
else:
---------------------------------------------------------------
mapped:4049550

May  4 07:16:55 dhcp83-119 kernel: Total swap = 8193108kB
May  4 07:16:55 dhcp83-119 kernel: Free swap:   0kB
---------------------------------------------------------------

Is there any indication that the same load would succeed on another version of
the kernel?

Larry Woodman
Comment 4 Jeff Needle 2006-09-25 14:27:59 EDT
Yeah, I haven't seen this again for a long time, so I'll close this.

Note You need to log in before you can comment on or make changes to this bug.